## resource-agents 4.13.0

=== debian/changelog ===
resource-agents (1:4.13.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:06 +1100

resource-agents (1:4.13.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libplumb2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 18:26:14 +1300

resource-agents (1:4.13.0-1ubuntu2) noble; urgency=medium

  * d/curated-agents,d/t/control: move the pgsql agent to the -base package.
    (LP: #2020208)
  * d/control: suggest postgresql used by the pgsql agent moved to main.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 16 Jan 2024 16:32:18 -0300

resource-agents (1:4.13.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040418). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it was
      not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/curated-agents,d/t/control: move LVM-activate and iSCSI related
      agents to the -base package. They are iscsi, iSCSILogicalUnit and
      iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
  * Dropped changes:
    - Create a transitional binary package called resource-agents.
      It depends on both resource-agents-{base,extra}.
      [ This was added in jammy (LTS) and can be removed in noble (LTS) ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 12 Jan 2024 14:04:22 -0300

resource-agents (1:4.13.0-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * New upstream version 4.13.0
  * debian/control: update Build-Depends for new version
  * debian/patches: refresh for new version
  * debian/lintian-overrides: update for new version

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052699)

 -- Valentin Vidic <vvidic@debian.org>  Thu, 02 Nov 2023 22:13:55 +0100

resource-agents (1:4.12.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018105). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - Create the resource-agents-common binary package.
      This new binary package will be used by curated and non-curated
      Resource Agents.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it was
      not listed as a dependency.
    - Create the resource-agents-base binary package.
    - Rename resource-agents with non-curated agents to resource-agents-extra.
    - Create a transitional binary package called resource-agents.
      It depends on both resource-agents-{base,extra}.
    - d/curated-agents: add LVM-activate and iSCSI related agents.
      They are iscsi, iSCSILogicalUnit and iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 24 May 2023 17:49:57 +0200
