=== debian/tests/control ===
Tests: IPaddr2
Depends: resource-agents-base
Restrictions: needs-root, isolation-container

Test-Command: service ldirectord status
Depends: ldirectord
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft MailTo
Depends: resource-agents-extra, bsd-mailx
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft apache
Depends: resource-agents-extra, apache2, wget
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft mysql
Depends: resource-agents-extra, default-mysql-server
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft pgsql
Depends: resource-agents-base, postgresql
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft postfix
Depends: resource-agents-extra, postfix
Restrictions: needs-root, isolation-container

# currently failing on Ubuntu autopkgtest setup for networking differences, so skip there
# Working in Debci, but compared to badtest retains all the other tests coverage
Test-Command: [ "`lsb_release -is`" = "Ubuntu" ] || debian/tests/run-ocft named
Depends: resource-agents-extra, bind9 (>= 1:9.16.1-2), bind9-host, bind9-utils, lsb-release
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft Filesystem
Depends: resource-agents-extra
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft LVM
Depends: resource-agents-extra, lvm2
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft exportfs
Depends: resource-agents-extra, nfs-kernel-server
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft exportfs-multidir
Depends: resource-agents-extra, nfs-kernel-server
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft nfsserver
Depends: resource-agents-extra, nfs-kernel-server
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft iscsi
Depends: resource-agents-base, open-iscsi, targetcli-fb, openssl
Restrictions: needs-root, isolation-machine
