## resource-agents 4.15.1

=== debian/changelog ===
resource-agents (1:4.15.1-2) unstable; urgency=medium

  [ Athos Ribeiro ]
  * apache/http-mon.sh: change curl opts to match wget (Closes: #1080528)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 05 Oct 2024 15:02:38 +0200

resource-agents (1:4.15.1-1) unstable; urgency=medium

  * New upstream version 4.15.1
  * debian/patches: refresh for new version
  * debian/control: update Build-Depends for new version
  * debian/lintian-overrides: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 28 Jul 2024 18:25:52 +0200

resource-agents (1:4.14.0-1) unstable; urgency=medium

  * New upstream version 4.14.0
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.7.0
  * debian/control: update Build-Depends for systemd-dev (Closes: #1060518,
    #1071980)
  * debian/control: drop legacy depends on syslog for ldirectord (Closes:
    #1072026)
  * debian/tests: install exim4 for MailTo test (Closes: #1060759)
  * debian/control: update Build-Depends for pkgconf

 -- Valentin Vidic <vvidic@debian.org>  Wed, 05 Jun 2024 21:18:06 +0200
