## resource-agents 4.16.0

=== debian/changelog ===
resource-agents (1:4.16.0-4) unstable; urgency=medium

  * debian/patches: fix to avoid duplicate route issues (Closes: #1109925)
  * debian/patches: fix shellcheck redirection errors
  * debian/copyright: remove FSF postal address

 -- Valentin Vidic <vvidic@debian.org>  Sun, 24 Aug 2025 16:32:20 +0200

resource-agents (1:4.16.0-3) unstable; urgency=medium

  * debian/tests: mark mysql and pgsql as flaky (Closes: #1096025)
  * debian/lintian-overrides: update groff-message format
  * debian/control: update Standards-Version to 4.7.2

 -- Valentin Vidic <vvidic@debian.org>  Fri, 28 Feb 2025 22:52:53 +0100

resource-agents (1:4.16.0-2) unstable; urgency=medium

  * debian/tests: fix failing named test
  * debian/control: add depends on psmisc (Closes: #1095291)

 -- Valentin Vidic <vvidic@debian.org>  Tue, 11 Feb 2025 21:30:35 +0100

resource-agents (1:4.16.0-1) unstable; urgency=medium

  * New upstream version 4.16.0
  * debian/patches: refresh for new version
  * debian/patches: add missing patch file

 -- Valentin Vidic <vvidic@debian.org>  Sun, 10 Nov 2024 19:27:37 +0100
