=== debian/control ===
--- 
+++ 
@@ -36,14 +36,15 @@
                xsltproc,
                xml-twig-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ClusterLabs/resource-agents
 Vcs-Browser: https://salsa.debian.org/ha-team/resource-agents
 Vcs-Git: https://salsa.debian.org/ha-team/resource-agents.git
 
 Package: resource-agents
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, bc, cluster-glue, gawk
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
+ bc, cluster-glue, gawk, psmisc
 Recommends: libxml2-utils, net-tools, python3-googleapi
 Provides: resource-agents-dev
 Description: Cluster Resource Agents
