## resource-agents 4.17.0

=== debian/changelog ===
resource-agents (1:4.17.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2139681). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - Make scripts executable again.

 -- Renan Rodrigo <rr@ubuntu.com>  Tue, 03 Feb 2026 15:34:20 -0300

resource-agents (1:4.17.0-1) unstable; urgency=medium

  * New upstream version 4.17.0
  * debian/patches: refresh for new version
  * debian/control: remove redundant fields
  * debian/tests: specify names for command tests
  * debian/control: update Standards-Version to 4.7.3
  * debian/lintian-overrides: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 25 Jan 2026 12:46:07 +0100

resource-agents (1:4.16.0-4ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2125996). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - Make scripts executable again.

 -- Renan Rodrigo <rr@ubuntu.com>  Thu, 13 Nov 2025 09:46:48 -0300

resource-agents (1:4.16.0-3ubuntu2) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:11:02 +0000

resource-agents (1:4.16.0-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110423). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - Make scripts executable again.

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 25 Jun 2025 17:09:30 -0300

resource-agents (1:4.16.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085280). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - Make scripts executable again.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 19 Feb 2025 19:57:04 -0300

resource-agents (1:4.15.1-2ubuntu3) plucky; urgency=medium

  * Make scripts executable again.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Oct 2024 09:41:00 +0100

resource-agents (1:4.15.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/curated-agents,d/t/control: move LVM-activate and iSCSI related

