=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: resource-agents
 Section: admin
-Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
            Valentin Vidic <vvidic@debian.org>
 Build-Depends: autoconf,
@@ -35,25 +35,77 @@
                systemd-dev,
                xsltproc,
                xml-twig-tools,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/ClusterLabs/resource-agents
 Vcs-Browser: https://salsa.debian.org/ha-team/resource-agents
 Vcs-Git: https://salsa.debian.org/ha-team/resource-agents.git
 
-Package: resource-agents
+Package: resource-agents-extra
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
- bc, cluster-glue, gawk, psmisc
-Recommends: libxml2-utils, net-tools, python3-googleapi
-Provides: resource-agents-dev
+         bc,
+         cluster-glue,
+         gawk,
+         psmisc,
+         python3,
+         resource-agents-common (>= ${source:Version})
+Recommends: libxml2-utils,
+            net-tools,
+            resource-agents-base (>= ${source:Version})
+Suggests: python3-googleapi
+Replaces: resource-agents (<< 1:4.7.0-1ubuntu2),
+          resource-agents-base (<<1:4.7.0-1ubuntu7)
+Breaks: resource-agents (<< 1:4.7.0-1ubuntu2),
+        resource-agents-base (<<1:4.7.0-1ubuntu7)
 Description: Cluster Resource Agents
  This package contains cluster resource agents (RAs) compliant with the Open
  Cluster Framework (OCF) specification, used to interface with various services
  in a High Availability environment managed by the Pacemaker resource manager.
  .
  Agents included:
- ${agents}
+  ${agents}
+
+Package: resource-agents-base
+Architecture: all
+Depends: ${misc:Depends},
+         resource-agents-common (>= ${source:Version})
+Suggests:
+# for iscsi agent
+          open-iscsi,
+# for iSCSITarget and iSCSILogicalUnit agents (the recommended implementation is lio-t)
+          targetcli-fb,
+# for LVM-activate agent
+          dmsetup,
+          lvm2,
+# for pgsql agent
+          postgresql
+Replaces: resource-agents (<< 1:4.7.0-1ubuntu2),
+          resource-agents-extra (<<1:4.7.0-1ubuntu7)
+Breaks: resource-agents (<< 1:4.7.0-1ubuntu2),
+        resource-agents-extra (<<1:4.7.0-1ubuntu7)
+Description: Cluster Resource Agents curated by Ubuntu
+ This package contains cluster resource agents (RAs) compliant with the Open
+ Cluster Framework (OCF) specification, used to interface with various services
+ in a High Availability environment managed by the Pacemaker resource manager.
+ .
+ This package contains the Resource Agents that are curated by the Ubuntu
+ Server team.
+ .
+ Agents included:
+  ${curatedAgents}
+
+Package: resource-agents-common
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Replaces: resource-agents (<< 1:4.7.0-1ubuntu2)
+Breaks: resource-agents (<< 1:4.7.0-1ubuntu2)
+Provides: resource-agents-dev
+Description: Common files used by the Cluster Resource Agents
+ This package contains cluster resource agents (RAs) compliant with the Open
+ Cluster Framework (OCF) specification, used to interface with various services
+ in a High Availability environment managed by the Pacemaker resource manager.
+ .
+ This package provides common files used by the Resource Agents.
 
 Package: ldirectord
 Architecture: all
