=== debian/tests/control ===
Tests: IPaddr2
Depends: resource-agents-base
Restrictions: needs-root, isolation-container

Tests: named
Depends: resource-agents-extra, resource-agents-base, bind9 (>= 1:9.16.1-2), bind9-host, bind9-utils, lsb-release
Restrictions: needs-root, isolation-container, skippable

Test-Command: service ldirectord status
Features: test-name=ldirectord
Depends: ldirectord
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft MailTo
Features: test-name=MailTo
Depends: resource-agents-extra, bsd-mailx, exim4
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft apache
Features: test-name=apache
Depends: resource-agents-extra, apache2, curl
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft mysql
Features: test-name=mysql
Depends: resource-agents-extra, default-mysql-server
Restrictions: needs-root, isolation-container, flaky

Test-Command: debian/tests/run-ocft pgsql
Features: test-name=pgsql
Depends: resource-agents-base, postgresql
Restrictions: needs-root, isolation-container, flaky

Test-Command: debian/tests/run-ocft postfix
Features: test-name=postfix
Depends: resource-agents-extra, postfix
Restrictions: needs-root, isolation-container

Test-Command: debian/tests/run-ocft Filesystem
Features: test-name=Filesystem
Depends: resource-agents-extra
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft LVM
Features: test-name=LVM
Depends: resource-agents-extra, lvm2
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft exportfs
Features: test-name=exportfs
Depends: resource-agents-extra, nfs-kernel-server
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft exportfs-multidir
Features: test-name=exportfs-multidir
Depends: resource-agents-extra, nfs-kernel-server
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft nfsserver
Features: test-name=nfsserver
Depends: resource-agents-extra, nfs-kernel-server
Restrictions: needs-root, isolation-machine

Test-Command: debian/tests/run-ocft iscsi
Features: test-name=iscsi
Depends: resource-agents-base, open-iscsi, targetcli-fb, openssl
Restrictions: needs-root, isolation-machine
